index2vec {caret} | R Documentation

## Convert indicies to a binary vector

### Description

The function performs the opposite of `which` converting a set of integers to a binary vector

### Usage

    index2vec(x, vars, sign = FALSE)

### Arguments

`x` | a vector of integers
`vars` | the number of possible locations
`sign` | a lgical; when true the data are encoded as -1/+1, and 0/1 otherwise

### Value

a numeric vector

### Author(s)

Max Kuhn

### Examples

    index2vec(x = 1:2, vars = 5)
    index2vec(x = 1:2, vars = 5, sign = TRUE)

[Package caret version 6.0-76 Index]